## fimport 3000.82

=== DESCRIPTION ===
Package: fImport
Version: 3000.82
Revision: 5455
Date: 2013-03-15
Title: Rmetrics - Economic and Financial Data Import
Author: Diethelm Wuertz and many others
Depends: R (>= 2.13.0), methods, timeDate, timeSeries
Suggests: RUnit
Maintainer: Yohan Chalabi <yohan.chalabi@rmetrics.org>
Description: Environment for teaching "Financial Engineering and
        Computational Finance"
Note: Several parts are still preliminary and may be changed in the
        future. this typically includes function and argument names, as
        well as defaults for arguments and return values.
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
Packaged: 2013-03-15 12:46:58 UTC; yankee
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-03-15 14:54:11

## fimport 3042.85

=== DESCRIPTION ===
Package: fImport
Title: Rmetrics - Importing Economic and Financial Data
Date: 2017-11-12
Version: 3042.85
Author: Diethelm Wuertz [aut],
	Tobias Setz [cre],
	Yohan Chalabi [ctb]
Maintainer: Tobias Setz <tobias.setz@live.com>
Description: Provides a collection of utility functions 
    to download and manage data sets from the Internet or from other 
    sources.
Depends: R (>= 2.15.1), timeDate, timeSeries
Imports: methods, utils
Suggests: RUnit
LazyData: yes
License: GPL (>= 2)
URL: https://www.rmetrics.org
NeedsCompilation: no
Packaged: 2017-11-20 16:47:03 UTC; Tobias Setz
Repository: CRAN
Date/Publication: 2017-11-20 17:32:30 UTC

=== debian/changelog ===
fimport (3042.85-2) unstable; urgency=medium

  * Rebuilding for R 3.5.0 transition
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 03 Jun 2018 22:33:12 -0500

fimport (3042.85-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 20 Nov 2017 20:21:51 -0600

fimport (3042.84-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  * debianb/control: Add Depends: on ${misc:Depends}
  * debian/compat: Set level to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 16 Nov 2017 22:27:14 -0600

fimport (3000.82-3) unstable; urgency=medium

  * debian/compat: Created			(Closes: #829412)
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

  * inst/perl/html-parser/: Patched two files to use /usr/bin/env
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 07 Jul 2016 05:37:40 -0500

fimport (3000.82-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 03 Apr 2013 05:50:21 -0500

fimport (3000.82-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 15 Mar 2013 11:11:41 -0500

fimport (2160.81-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 20 Mar 2012 11:04:43 -0500

fimport (2110.79-3) unstable; urgency=low

  * Rebuilt for R 2.14.0 so that a default NAMESPACE file is created

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 23 Oct 2011 15:30:00 -0500

fimport (2110.79-2) unstable; urgency=low

  * debian/control: Added Depends: on lynx		(Closes: #584612)

  * debian/control: Set (Build-)Depends: to current R version
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 04 Jun 2010 22:02:21 -0500

fimport (2110.79-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 14 Apr 2010 18:42:33 -0500

fimport (2110.78-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 06 Jan 2010 17:50:16 -0600

fimport (2100.77-2) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 04 Nov 2009 17:13:09 -0600

fimport (2100.77-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 30 Sep 2009 19:36:30 -0500

fimport (290.76-1) unstable; urgency=low

  * New upstream release

  * debian/control: Changed Section: to new section 'gnu-r'
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 3.8.1

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Apr 2009 07:39:17 -0500

fimport (290.75-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 28 Jan 2009 19:01:11 -0600

fimport (270.74-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 27 Oct 2008 20:15:54 -0500

fimport (270.73-1) unstable; urgency=low

  * New upstream release

  * debian/control: Add (Build-)Depends: on new package r-cran-timeseries
  * debian/control: Updated Suggests:
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version

  * debian/control: Corrected Description

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 26 Oct 2008 15:31:25 -0500

fimport (260.72-1) unstable; urgency=low

  * Initial Debian release of new Rmetrics component package
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 18 Oct 2007 21:13:27 -0500

=== debian/control ===
Source: fimport
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.0), dh-r, r-cran-timeseries, xvfb, xauth, xfonts-base
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/edd/r-cran-fimport
Vcs-Git: https://salsa.debian.org/edd/r-cran-fimport.git
Homepage: https://cran.r-project.org/package=fImport

Package: r-cran-fimport
Architecture: all
Depends: ${R:Depends}, ${misc:Depends}, r-cran-timeseries, lynx 
Suggests: r-cran-runit
Description: GNU R package for financial engineering -- fImport
 This package provides functions to import financial and economic data
 series import and is part of Rmetrics, a collection of packages for
 financial engineering and computational finance written and compiled 
 by Diethelm Wuertz and others.
 .
 fImport provides import function to access (free) data from Economagic,
 the US Federal Reserve, Forecasts.Org, Yahoo and other web sources.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-fimport package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## fimport 4021.86

=== DESCRIPTION ===
Package: fImport
Title: Rmetrics - Importing Economic and Financial Data
Date: 2022-07-21
Version: 4021.86
Authors@R: c(person("Diethelm", "Wuertz", role="aut", comment = "original code")
	   , person("Tobias", "Setz", role = c("aut"), email = "tobias.setz@live.com")
	   , person("Yohan", "Chalabi", role = "aut")
	   , person(given = c("Georgi", "N."), family = "Boshnakov", 
                    role = c("cre"), email = "georgi.boshnakov@manchester.ac.uk") )
Description: Provides a collection of utility functions 
    to download and manage data sets from the Internet or from other 
    sources.
Depends: R (>= 2.15.1), timeDate, timeSeries
Imports: methods, utils
Suggests: RUnit
LazyData: yes
License: GPL (>= 2)
URL:
        https://r-forge.r-project.org/scm/viewvc.php/pkg/fImport/?root=rmetrics
        (devel), https://www.rmetrics.org
BugReports: https://r-forge.r-project.org/projects/rmetrics
NeedsCompilation: no
Packaged: 2022-07-21 06:26:22 UTC; georgi
Author: Diethelm Wuertz [aut] (original code),
  Tobias Setz [aut],
  Yohan Chalabi [aut],
  Georgi N. Boshnakov [cre]
Maintainer: Georgi N. Boshnakov <georgi.boshnakov@manchester.ac.uk>
Repository: CRAN
Date/Publication: 2022-07-21 08:40:06 UTC

=== debian/changelog ===
fimport (4021.86-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 21 Jul 2022 06:33:36 -0500

fimport (3042.85-3) unstable; urgency=medium

  * Rebuilt for r-4.0 transition

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 16 May 2020 07:12:47 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.0), dh-r, r-cran-timeseries, xvfb, xauth, xfonts-base
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), dh-r, r-cran-timeseries, xvfb, xauth, xfonts-base
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-fimport
 Vcs-Git: https://salsa.debian.org/edd/r-cran-fimport.git
 Homepage: https://cran.r-project.org/package=fImport

## fimport 4032.87

=== DESCRIPTION ===
Package: fImport
Title: Rmetrics - Importing Economic and Financial Data
Version: 4032.87
Authors@R: c(person("Diethelm", "Wuertz", role="aut", comment = "original code")
	   , person("Tobias", "Setz", role = c("aut"), email = "tobias.setz@live.com")
	   , person("Yohan", "Chalabi", role = "aut")
	   , person(given = c("Georgi", "N."), family = "Boshnakov", 
                    role = c("cre", "ctb"), email = "georgi.boshnakov@manchester.ac.uk") )
Description: Provides a collection of utility functions 
    to download and manage data sets from the Internet or from other 
    sources.
Depends: R (>= 2.15.1), timeDate, timeSeries
Imports: methods, utils
Suggests: RUnit
LazyData: yes
License: GPL (>= 2)
URL:
        https://r-forge.r-project.org/scm/viewvc.php/pkg/fImport/?root=rmetrics
        (devel), https://www.rmetrics.org
BugReports: https://r-forge.r-project.org/projects/rmetrics
NeedsCompilation: no
Packaged: 2023-12-15 13:43:36 UTC; georgi
Author: Diethelm Wuertz [aut] (original code),
  Tobias Setz [aut],
  Yohan Chalabi [aut],
  Georgi N. Boshnakov [cre, ctb]
Maintainer: Georgi N. Boshnakov <georgi.boshnakov@manchester.ac.uk>
Repository: CRAN
Date/Publication: 2023-12-15 21:50:13 UTC

=== debian/changelog ===
fimport (4032.87-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 19 Dec 2023 05:38:48 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), dh-r, r-cran-timeseries, xvfb, xauth, xfonts-base
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r, r-cran-timeseries, xvfb, xauth, xfonts-base
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-fimport
 Vcs-Git: https://salsa.debian.org/edd/r-cran-fimport.git
 Homepage: https://cran.r-project.org/package=fImport

## fimport 4041.88

=== DESCRIPTION ===
Package: fImport
Title: Rmetrics - Importing Economic and Financial Data
Version: 4041.88
Authors@R: c(person("Diethelm", "Wuertz", role="aut", comment = "original code")
	   , person("Tobias", "Setz", role = c("aut"), email = "tobias.setz@live.com")
	   , person("Yohan", "Chalabi", role = "aut")
	   , person(given = c("Georgi", "N."), family = "Boshnakov", 
                    role = c("cre", "aut"), email = "georgi.boshnakov@manchester.ac.uk") )
Description: Provides a collection of utility functions 
    to download and manage data sets from the Internet or from other 
    sources.
Depends: R (>= 2.15.1), timeDate, timeSeries
Imports: methods, utils
Suggests: RUnit, rvest, xml2
LazyData: yes
License: GPL (>= 2)
URL:
        https://r-forge.r-project.org/scm/viewvc.php/pkg/fImport/?root=rmetrics
        (devel), https://www.rmetrics.org
BugReports: https://r-forge.r-project.org/projects/rmetrics
NeedsCompilation: no
Packaged: 2024-09-20 08:03:17 UTC; georgi
Author: Diethelm Wuertz [aut] (original code),
  Tobias Setz [aut],
  Yohan Chalabi [aut],
  Georgi N. Boshnakov [cre, aut]
Maintainer: Georgi N. Boshnakov <georgi.boshnakov@manchester.ac.uk>
Repository: CRAN
Date/Publication: 2024-09-20 09:30:02 UTC

=== debian/changelog ===
fimport (4041.88-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 27 Sep 2024 10:26:02 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r, r-cran-timeseries, xvfb, xauth, xfonts-base
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r, r-cran-timeseries, xvfb, xauth, xfonts-base
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-fimport
 Vcs-Git: https://salsa.debian.org/edd/r-cran-fimport.git

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/fImport_([-\d\.]*)\.tar.gz

## fimport 4052.89

=== DESCRIPTION ===
Package: fImport
Title: Rmetrics - Importing Economic and Financial Data
Version: 4052.89
Authors@R: c(person("Diethelm", "Wuertz", role="aut", comment = "original code")
	   , person("Tobias", "Setz", role = c("aut"), email = "tobias.setz@live.com")
	   , person("Yohan", "Chalabi", role = "aut")
	   , person(given = c("Georgi", "N."), family = "Boshnakov", 
                    role = c("cre", "aut"), email = "georgi.boshnakov@manchester.ac.uk",
		    comment = c(ORCID = "0000-0003-2839-346X")) )
Description: Provides a collection of utility functions 
    to download and manage data sets from the Internet or from other 
    sources.
Depends: R (>= 2.15.1), timeDate, timeSeries
Imports: methods, utils
Suggests: RUnit, rvest, xml2
LazyData: yes
License: GPL (>= 2)
URL: https://geobosh.github.io/fImportDoc/ (doc),
        https://CRAN.R-project.org/package=fImport,
        https://www.rmetrics.org
BugReports: https://r-forge.r-project.org/tracker/?atid=633&group_id=156&func=browse
NeedsCompilation: no
Packaged: 2025-12-18 12:38:38 UTC; georgi
Author: Diethelm Wuertz [aut] (original code),
  Tobias Setz [aut],
  Yohan Chalabi [aut],
  Georgi N. Boshnakov [cre, aut] (ORCID:
    <https://orcid.org/0000-0003-2839-346X>)
Maintainer: Georgi N. Boshnakov <georgi.boshnakov@manchester.ac.uk>
Repository: CRAN
Date/Publication: 2025-12-18 16:20:02 UTC

=== debian/changelog ===
fimport (4052.89-1) unstable; urgency=medium

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 18 Dec 2025 12:53:10 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r, r-cran-timeseries, xvfb, xauth, xfonts-base
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.2), dh-r, r-cran-timeseries, xvfb, xauth, xfonts-base
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-fimport
 Vcs-Git: https://salsa.debian.org/edd/r-cran-fimport.git
 Homepage: https://cran.r-project.org/package=fImport
